%define name python3-passlib
%define srcname passlib
%define version 1.7.1
%define release 1

%{!?dotests: %define dotests 1}

%define is_python %(test -e /opt/freeware/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

Summary: comprehensive password hashing framework supporting over 30 schemes
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Eli Collins <elic@assurancetechnologies.com>
Url: http://passlib.googlecode.com

BuildRequires: python3 >= 3.7.4
BuildRequires: python3-devel >= 3.7.4
Requires: python3 >= 3.7.4

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 30 password hashing algorithms, as well
as a framework for managing existing password hashes. It's designed to be useful
for a wide range of tasks, from verifying a hash found in /etc/shadow, to
providing full-strength password hashing for multi-user application.

* See the `online documentation <http://packages.python.org/passlib>`_
  for details, installation instructions, and examples.

* See the `Passlib homepage <http://passlib.googlecode.com>`_
  for the latest news, more information, and additional downloads.

* See the `changelog <http://packages.python.org/passlib/history.html>`_
  for a description of what's new in Passlib.

All releases are signed with the gpg key
`4CE1ED31 <http://pgp.mit.edu:11371/pks/lookup?op=get&search=0x4D8592DF4CE1ED31>`_.

%prep
%setup -q -n %{srcname}-%{version}

%build
python3 setup.py build
if [ "%{dotests}" == 1 ]
then
           (python3 setup.py test || true)
fi

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc LICENSE PKG-INFO README
%doc docs
%{python_sitelib}/*

%changelog
* Wed Dec 4 2019 Beulah Praiselin <bpraise1@in.ibm.com> - 1.7.1-1
- Built using python3

* Tue May 9 2017 rhirekur@in.ibm.com <rhirekur@in.ibm.com> - 1.7.0-1
- first version for AIX V6.1 and higher

